CREATE FUNCTION [dbo].[FN_SPOT_GetValidBuyPricePODate] (
	@p_Part_NO AS VARCHAR(25),
    @p_OrderDate AS DATE
)
RETURNS NUMERIC(16,5)
AS
BEGIN 
	DECLARE @d_PRICE AS NUMERIC(16,5);
	
    SELECT @d_PRICE=a.PRICE FROM dbo.TB_M_SPOT_BUYING_PRICE a
    	WHERE
        	a.PART_NO=@p_Part_NO
            AND CONVERT(DATE,@p_OrderDate)
            	BETWEEN CONVERT(DATE,a.VALID_FROM_DT) 
                	AND CONVERT(DATE,a.VALID_TO_DT);
	
    RETURN @d_PRICE;
END

